Index: manager.c
===================================================================
RCS file: /usr/cvsroot/asterisk/manager.c,v
retrieving revision 1.68
diff -u -r1.68 manager.c
--- manager.c	12 Aug 2004 23:12:44 -0000	1.68
+++ manager.c	14 Sep 2004 15:28:17 -0000
@@ -802,6 +802,21 @@
 	} else {
 		res = ast_pbx_outgoing_exten(in->tech, AST_FORMAT_SLINEAR, in->data, in->timeout, in->context, in->exten, in->priority, &reason, 1, !ast_strlen_zero(in->callerid) ? in->callerid : NULL, in->variable, in->account);
 	}   
+        if(!res)
+            manager_event(EVENT_FLAG_CALL,
+                "OriginateSuccess",
+                "Channel: %s/%s\r\n"
+                "Context: %s\r\n"
+                "Exten: %s\r\n",
+                in->tech, in->data, in->context, in->exten);
+        else
+            manager_event(EVENT_FLAG_CALL,
+                "OriginateFailure",
+                "Channel: %s/%s\r\n"
+                "Context: %s\r\n"
+                "Exten: %s\r\n",
+                in->tech, in->data, in->context, in->exten);
+
 	free(in);
 	return NULL;
 }
